summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-04-17 08:00:31 +0200
committerMichał Górny <mgorny@gentoo.org>2021-04-17 08:21:27 +0200
commit0f2696ab7b4203f91b2ec55988c276b54ef63acd (patch)
tree882ee9c5ed59894103e10fa7999d0aa06f8a6716
parentnet-misc/youtube-dl: Bump to 2021.04.17 (diff)
downloadgentoo-0f2696ab7b4203f91b2ec55988c276b54ef63acd.tar.gz
gentoo-0f2696ab7b4203f91b2ec55988c276b54ef63acd.tar.bz2
gentoo-0f2696ab7b4203f91b2ec55988c276b54ef63acd.zip
dev-python/fsspec: Bump to 2021.04.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--dev-python/fsspec/Manifest1
-rw-r--r--dev-python/fsspec/fsspec-2021.04.0.ebuild47
2 files changed, 48 insertions, 0 deletions
diff --git a/dev-python/fsspec/Manifest b/dev-python/fsspec/Manifest
index 300c1f5d450..83a50a56094 100644
--- a/dev-python/fsspec/Manifest
+++ b/dev-python/fsspec/Manifest
@@ -1,3 +1,4 @@
DIST filesystem_spec-0.8.5.tar.gz 255904 BLAKE2B df400276dbc53a453e9e9a00acb2e93a86a5f239237533bab036a16bd48d6d709f68241febe75f6f72281162ba4a563a087405a1064e18805ce2501095d778fb SHA512 20001fd02348f15e764a9e20eab98267f6746bd7e86187914d3db3098061aa62cb296595c3519696ae1e99ef896d49df0fcec846aaf6e5c281dd1a344ef6c393
DIST filesystem_spec-0.8.7.tar.gz 277744 BLAKE2B 4957b716d622ecd2a1bb381b291253970682dde2c90a0e8dd76dfcc3ce3c9ba55846d97df8c1fcedd4e0d5af1c10eccc6c94418f2e78e9fffde846d12c11e170 SHA512 6eb89bf1e19ac1313aad2217aaaf4686f2e2e831a2cd339f9e12b8319fb080b82f0b90b10af53c2e6febd98a34ae8520444fee3c6394e7ab5fd5ca68d56e5454
DIST filesystem_spec-0.9.0.tar.gz 286641 BLAKE2B 70603c14d955640251f0922afaf7fa7cd3739c827218cb708fac27883b671e059ef17eb02b4d482904278855d06958e2159b49e232c558f78befd925472bca6f SHA512 68235dc592a7c7e85e5aab1b4409825f9c0a15c6841f96f54cef66c1b6ef166e930b910bd140bbaeb818f2f1f3dfc9a5752f3c479a97b6c5ce8e7d7ea98721af
+DIST filesystem_spec-2021.04.0.tar.gz 288179 BLAKE2B 896982345533fef9593f393209202e0a90473e9826ced9d69854dca20c66c64b85e1b1c44413dda718cdd1af7f41ac821b4d67b600536b32a873a4f73ab32801 SHA512 6806d6fbae89b514955a309346f19b2d199db10aecece728d117798368c311e3fbb38161fd5a54ea4a60ee7e656d2e50fdf8c4444ec3d6bdd761229b4a6341f2
diff --git a/dev-python/fsspec/fsspec-2021.04.0.ebuild b/dev-python/fsspec/fsspec-2021.04.0.ebuild
new file mode 100644
index 00000000000..4032b21e0f9
--- /dev/null
+++ b/dev-python/fsspec/fsspec-2021.04.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+inherit distutils-r1
+
+MY_P=filesystem_spec-${PV}
+
+DESCRIPTION="A specification that python filesystems should adhere to"
+HOMEPAGE="https://github.com/intake/filesystem_spec/
+ https://pypi.org/project/fsspec/"
+SRC_URI="
+ https://github.com/intake/filesystem_spec/archive/${PV}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+BDEPEND="
+ dev-python/versioneer[${PYTHON_USEDEP}]
+ test? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )"
+
+distutils_enable_tests pytest
+
+src_test() {
+ git config --global user.email "you@example.com" || die
+ git config --global user.name "Your Name" || die
+ distutils-r1_src_test
+}
+
+python_test() {
+ # sftp and smb require server started via docker
+ epytest \
+ --deselect fsspec/tests/test_spec.py::test_find \
+ --ignore fsspec/implementations/tests/test_dbfs.py \
+ --ignore fsspec/implementations/tests/test_sftp.py \
+ --ignore fsspec/implementations/tests/test_smb.py
+}